Bug 53431 - Installer declares partition table is unreadable
Installer declares partition table is unreadable
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-08 15:02 EDT by Gianluca Gilardi
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 09:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Gilardi 2001-09-08 15:02:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; PCM_03a)

Description of problem:
When the installation process gets to the point I should choose which 
partition to install to, the program says that hde (IBM Djna 370910 drive 
on  a HPT366 controller integrated on a Abit BP6 motherboard) partition 
table is corrupted and unreadable. Invoking fdisk an checking the drive 
proves the PT is correct. In no way the installer lets me access the hde 
drive. Note that installing RH 7.1 gave no problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go through installation process until partition choice is requested
2. Invoke Disk Druid
3. Error shows up
	

Actual Results:  Installer does not recognize hde suggesting a complete 
rewrite (with data loss) of the partition table

Expected Results:  Access to hde and choice of the / partition on hde

Additional info:
Comment 1 Matt Wilson 2001-09-10 09:51:35 EDT
1) make a dos formatted floppy
2) go to Alt+F2
3) type: mount -t vfat /dev/fd0 /mnt/floppy
4) type: mknod /tmp/hde
5) type: echo -e "x\np\nq" | fdisk > /mnt/floppy/fdisk.out
6) type: dd if=/dev/hde of=/mnt/floppy/bs bs=512 count=1
7) umout /mnt/floppy

Attach those files to the bug report, first one as text, the second one as
binary.
Comment 2 Brent Fox 2001-09-24 12:09:34 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.